#NBlog
## An open source ASP.NET MVC 3 blog engine

NBlog is a flexible, lightweight, open source blog engine built on ASP.NET MVC 3, C#, jQuery, Razor view engine, CSS3 and HTML5.  It doesn't need a database because it stores your data in JSON files, but if you like databases it also supports SQL Server and MongoDB.

Features:

 - Automatic scheduled backups to your [Dropbox][14]
 - OpenID login
 - Customisable themes
 - Markdown and code syntax highlighting
 - JSON files, SQL Server or MongoDB storage options
 - JavaScript and CSS merging and compression

NBlog is built using these fantastic open source libraries:

 - [WMD Markdown Editor][2]
 - [Prettify][3]
 - [Autofac][4]
 - [AntiXSS][5]
 - [DotNetOpenAuth][6] and [jQuery OpenID][7]
 - [NSubstitute][8]
 - [ELMAH][9]
 - [SquishIt][10]
 - [SharpBox][11]
 - [Quartz.NET][12]
 - [HTML5 Boilerplate][13]
 
To see NBlog it in action, check out [blog.appharbor.com][0] and [chrisfulstow.com][1].

[0]: http://blog.appharbor.com/
[1]: http://chrisfulstow.com/
[2]: https://github.com/openlibrary/wmd
[3]: http://code.google.com/p/google-code-prettify/
[4]: http://code.google.com/p/autofac/
[5]: http://wpl.codeplex.com/
[6]: http://www.dotnetopenauth.net/
[7]: http://jvance.com/pages/JQueryOpenIDPlugin.xhtml
[8]: http://nsubstitute.github.com/
[9]: http://code.google.com/p/elmah/
[10]: https://github.com/jetheredge/SquishIt
[11]: http://sharpbox.codeplex.com/
[12]: http://quartznet.sourceforge.net/
[13]: http://html5boilerplate.com/
[14]: http://www.dropbox.com/

##License
NBlog is open source under the [The MIT License (MIT)](http://www.opensource.org/licenses/mit-license.php)
